Subject: Re: [PATCH v1] convert: add "status=delayed" to filter process protocol

From: Junio C Hamano <[email-masked]>
Date: Wed, 11 Jan 2017 12:41:32 -0800

Jakub Narębski <[email-masked]> writes:

>> Yes, this problem happens every day with filters that perform network
>> requests (e.g. GitLFS). 
>
> Do I understand it correctly that the expected performance improvement
> thanks to this feature is possible only if there is some amount of
> parallelism and concurrency in the filter?  That is, filter can be sending
> one blob to Git while processing other one, or filter can be fetching blobs
> in parallel.

The first-object latency may not be helped, but by allowing
"delayed", the latency to retrieve the second and subsequent objects
can be hidden, I would think.